package speiger.src.coreengine.rendering.texturesOld.base;

public class WrappedTexture implements ITexture
{
	int textureId;
	
	public WrappedTexture(int textureId)
	{
		this.textureId = textureId;
	}
	
	@Override
	public ITexture makeReloadable()
	{
		return this;
	}
	
	@Override
	public void reload()
	{
	}
	
	@Override
	public int getTextureId()
	{
		return textureId;
	}
	
	@Override
	public void bindTexture()
	{
		TextureManager.bindTexture(textureId);
	}
	
	@Override
	public void deleteTexture()
	{
	}
	
	@Override
	public int getWidth()
	{
		return 0;
	}
	
	@Override
	public int getHeight()
	{
		return 0;
	}
	
	@Override
	public float getUMin()
	{
		return 0F;
	}
	
	@Override
	public float getVMin()
	{
		return 0F;
	}
	
	@Override
	public float getUMax()
	{
		return 1F;
	}
	
	@Override
	public float getVMax()
	{
		return 1F;
	}
}
